| Home | Libraries | People | FAQ | More

## Function template partition_point

boost::algorithm::partition_point — Given a partitioned range, returns the partition point, i.e, the first element that does not satisfy p.

## Synopsis

    // In header: <boost/algorithm/cxx11/partition_point.hpp>

    template<typename ForwardIterator, typename Predicate>
      ForwardIterator
      partition_point(ForwardIterator first, ForwardIterator last, Predicate p);

## Description

| Note
This function is part of the C++2011 standard library. We will use the standard one if it is available, otherwise we have our own implementation.

Parameters:

`first` | The start of the input sequence
`last` | One past the end of the input sequence
`p` | The predicate to test the values with